'
' Use the Real Random routines to create a random bit
' Display many bits on the serial terminal
'
' Uses AN0 as the ADC channel for the random bit generator
'
    Include "Real_Random.inc"               ' Load the Real Random macros into the program

    Dim tRand As Bit
    Dim Ypos As Byte
    Dim Xpos As Byte
    Dim bTemp As Byte

'------------------------------------------------------------------------------------------------
' Display random bits on the serial terminal as character O or a space
'
Main:
    While 1 = 1                                 ' Create an infinite loop
        For Ypos = 0 To 31                      ' Create a loop for the Y axis
            For Xpos = 0 To 63                  ' Create a loop for the X axis
                tRand = Random_GetBit()         ' Create a random bit
                If tRand = 1 Then               ' Is tRand holding 1?
                    HRSOut "O"                  ' Yes. So display an O character
                Else                            ' Otherwise...
                    HRSOut " "                  ' Display a blank space
                EndIf
            Next                                ' Close the X axis loop
            HRSOut 13                           ' Terminate the line
        Next                                    ' Close the Y axis loop
        bTemp = Random_GetByte()                ' Create a random byte
        DelayMS bTemp                           ' Delay a random number of milliseconds
        HRSOut 1                                ' Clear the serial terminal
    Wend

